View Issue Details

IDProjectCategoryView StatusLast Update
0036126FPCInstallerpublic2019-10-03 06:46
ReporterMarģersAssigned ToPierre Muller 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformi386OSgo32v2 dosOS Version.
Product Version3.2.0Product Build 
Target VersionFixed in Version3.2.0 
Summary0036126: fpc-3.2.0-beta.go32v2.zip does not include fpc.exe (comand line compiler)
Descriptionnot includes native dos compiler, but fp.exe does (which is fine).
in addition zip has includes this win32 compiler: bin/i386-win32/ppcross386.exe
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Pierre Muller

2019-10-01 23:13

developer   ~0118240

I just checked, and the content of the zip
file is indeed wrong, I tried to modify the script,
let's see if the content is better tomorrow!

Thanks for reporting the issue,

Pierre

Pierre Muller

2019-10-02 22:30

developer   ~0118261

 Problem should be fixed,
script used was updated to generate
a 'native' fpc-3.3.1.go32v2.zip file
which should contain the correct go32v2 native fpc.exe and ppc386.exe.

Please check and close bug report if all is fixed!

Pierre

Issue History

Date Modified Username Field Change
2019-10-01 22:31 Marģers New Issue
2019-10-01 23:13 Pierre Muller Assigned To => Pierre Muller
2019-10-01 23:13 Pierre Muller Status new => acknowledged
2019-10-01 23:13 Pierre Muller FPCTarget => -
2019-10-01 23:13 Pierre Muller Note Added: 0118240
2019-10-02 22:30 Pierre Muller Status acknowledged => resolved
2019-10-02 22:30 Pierre Muller Resolution open => fixed
2019-10-02 22:30 Pierre Muller Fixed in Version => 3.2.0
2019-10-02 22:30 Pierre Muller FPCTarget - => 3.2.0
2019-10-02 22:30 Pierre Muller Note Added: 0118261
2019-10-03 06:46 Marģers Status resolved => closed